PATCH /v1/webhooks/{id}
Change or re-enable a subscription
Change or re-enable a subscription
Changes only the fields that are sent. Setting enabled: true resets the failure counter. Requires scope write:deals.
- Автентифікація: заголовок
Authorization: Bearer rv_live_...(API-ключі та scopes) - Потрібний scope:
write:deals
openapi.json) і подається англійською, як у самому API.Параметри
| Поле | Де | Тип | Обов’язк. | Опис |
|---|---|---|---|---|
id | path | string (uuid) | так | Resource id (UUID). |
Тіло запиту
| Поле | Тип | Обов’язк. | Опис |
|---|---|---|---|
url | string (uri) | ні | |
events | "deal.stage_changed" | "payment.received" | "document.signed" | "lead.created" | "shipment.updated"[] | ні | |
enabled | boolean | ні | true re-enables a subscription disabled after repeated failures. |
description | string | null | ні |
Відповіді
200
The updated subscription.
application/json · Схема: Webhook
| Поле | Тип | Обов’язк. | Опис |
|---|---|---|---|
id | string (uuid) | так | |
url | string | так | |
description | string | null | так | |
events | string[] | так | |
enabled | boolean | так | |
secretPrefix | string | null | так | First characters of the signing secret, to tell secrets apart. The full secret is never shown again. |
failureCount | integer | так | |
lastSuccessAt | string | null | так | ISO 8601 date-time (UTC). |
lastFailureAt | string | null | так | ISO 8601 date-time (UTC). |
400
Invalid request parameters or body (code validation_error).
application/problem+json · Схема: Problem
401
Missing, malformed, unknown, revoked or expired API key (code unauthorized).
application/problem+json · Схема: Problem
403
The API key lacks the scope required by this endpoint (code insufficient_scope).
application/problem+json · Схема: Problem
404
Not found in this tenant.
application/problem+json · Схема: Problem
422
The URL is not acceptable.
application/problem+json · Схема: Problem
429
Rate limit exceeded for the tenant plan (code rate_limited). Wait Retry-After seconds.
application/problem+json · Схема: Problem